/*!
** \file DDLScannerInt.h
**
** \brief Header file for flex interfacing to DDLScanner class.
*/


/* 
  PURPOSE:    A DDL 2.1 compliant CIF file parser.
*/

#ifndef DDL_SCANNER_INT_H
#define DDL_SCANNER_INT_H

#define YY_NO_UNPUT

#ifdef __cplusplus
extern "C" {
#endif

int ProcessNoneFromDDLScanner();

void ProcessWhiteSpaceFromDDLScanner();
int ProcessDataFromDDLScanner();
int ProcessItemSaveBeginFromDDLScanner();
int ProcessCategorySaveBeginFromDDLScanner();
int ProcessSaveEndFromDDLScanner();
int ProcessLoopFromDDLScanner();
void ProcessStopFromDDLScanner();
int ProcessDotFromDDLScanner();
int ProcessQuestionFromDDLScanner();
void ProcessCommentFromDDLScanner();
int ProcessItemNameFromDDLScanner();
int ProcessUnquotedStringFromDDLScanner();
int ProcessSQuotedStringFromDDLScanner();
int ProcessDQuotedStringFromDDLScanner();
int ProcessEofFromDDLScanner();

#ifdef __cplusplus
}
#endif
#endif /* DDL_SCANNER_BASE_H */
